Skip to navigation

Get vendor

View as MarkdownOpen in Claude
Retrieves a vendor's details, including enrichment status and payment acceptance info when available.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

OR
requestTokenstring

Long-lived API token sent in the requestToken header. See API token authentication.

Path parameters

idVendorintegerRequired
Vendor ID.

Response

Success
VendorNumberstring

Custom number identifying the vendor. Must be unique within the paypoint, regardless of locationCode. Inactive vendors keep their number, so another vendor can’t use it. Deleted vendors release their number. Can’t be blank.

Name1string
Name2string or null
EINstring or null
Business EIN or tax ID. This value is masked in API responses.
Phonestring or null
Emailstring or nullformat: "email"<=320 characters
Email address.
RemitEmailstring or nullformat: "email"
Remittance email address. Used for sending virtual cards and other information about payouts.
Address1string or null
The address.
Address2string or null
Additional line for the address.
Citystring or null
The city.
Statestring or null
The state or province.
Zipstring or null
ZIP code for address.
Countrystring or null
Mccstring or null

Business Merchant Category Code (MCC). This resource lists MCC codes.

LocationCodestring or null
Issue1099boolean

When true, a 1099 tax form is issued to this vendor. Defaults to false.

Contactslist of objects or null
Array of objects describing the vendor's contacts.
BillingDataobject or null
PaymentMethodstring or null

The vendor’s preferred payment method. Can be one of:

  • managed — Managed payment method
  • vcard — Virtual card payment method
  • check — Check payment method
  • ach — ACH payment method
VendorStatusinteger

Vendor’s status. Allowed values:

  • 0 Inactive
  • 1 Active
  • -99 Deleted
VendorIdinteger
Payabli identifier for vendor record.
EnrollmentStatusstring or null
Enrollment status of vendor in payables program.
Summaryobject or null
PaypointLegalnamestring
Business legal name.
PaypointIdlong or null
The paypoint's ID. This is different from the entryname.
PaypointDbanamestring
The alternate or common name that this business is doing business under, usually referred to as a DBA name.
PaypointEntrynamestring<=50 characters
The entrypoint identifier.
ParentOrgNamestring
The name of the parent organization.
ParentOrgIdlong
The ID of the org's parent organization.
CreatedDatedatetime
Timestamp of when record was created, in UTC.
LastUpdateddatetime
Timestamp of when record was last updated, in UTC.
remitAddress1string or null

Remittance street address. Used for mailing paper checks. Required if any remittance address field is provided.

For a PO Box address, include only the PO Box in this field, for example PO Box 29652. Put the rest of the address, such as a department number, in remitAddress2.

remitAddress2string or null

Remittance address additional line, such as a suite or unit number. Used for mailing paper checks. Always optional.

For a PO Box address, this field holds the part of the address that follows the PO Box, for example Dept# 880662.

remitCitystring or null
Remittance address city. Used for mailing paper checks. Required if any remittance address field is provided.
remitStatestring or null
Remittance address state or province. Used for mailing paper checks. Required if any remittance address field is provided. Must be a valid US state or Canadian province abbreviation.
remitZipstring or null

Remittance address ZIP or postal code. Used for mailing paper checks. Required if any remittance address field is provided. For US addresses, use five digits or ZIP+4 format.

remitCountrystring or null

Remittance address country. Used for mailing paper checks. Must be US or CA. Defaults to US if not provided.

payeeName1string or null
Alternative name used to receive paper check.
payeeName2string or null
Alternative name used to receive paper check.
customField1string or null
customField2string or null
customerVendorAccountstring or null
InternalReferenceIdlong
An internal reference ID.
PaymentPortalUrlstring or null
URL for the vendor's online payment portal, if known. Populated by the vendor enrichment pipeline.
CardAcceptedstring or null

Whether the vendor accepts card payments. Values are yes, no, or unable to determine. Populated by the vendor enrichment pipeline.

AchAcceptedstring or null

Whether the vendor accepts ACH payments. Values are yes, no, or unable to determine. Populated by the vendor enrichment pipeline.

CheckAcceptedstring or null

Whether the vendor accepts check payments. Values are yes, no, or unable to determine. Populated by the vendor enrichment pipeline.

EnrichmentStatusstring

Current enrichment state of the vendor. Values are not_enriched, partially_enriched, fully_enriched, or fallback_applied.

EnrichedBystring or null

Which enrichment method resolved the vendor’s payment acceptance info. Values are invoice_scan, web_search, vendor_network, or manual.

EnrichedAtdatetime or null

When the vendor was last enriched (UTC).

EnrichmentIdstring or null
Identifier for the enrichment request that last updated this vendor.
additionalDatamap from strings to strings or null

Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system. If you are using custom identifiers, pass those in this object. Max length for a value is 100 characters.

{
  "additionalData": {
    "key1": "value1",
    "key2": "value2",
    "key3": "value3"
  }
}
externalPaypointIDstring or null
A custom identifier for the paypoint, if applicable.
StoredMethodslist of objects or null
VendorPortalobject or nullOptional
The vendor's vendor portal access.